Subject: [bug#75402] [PATCH 0/3] Assorted kexec fixes

From: Ludovic Courtès <[email-masked]>
Date: Tue, 07 Jan 2025 11:48:18 +0100

Tomas Volf <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello,
>>
>> Here’s a bunch of kexec-related fixes for bugs that have been reported
>> over the past week.
>>
>> I checked the ‘kexec_file_load’ binding on i686 and aarch64 this time:
>> it’s definitely missing on i686, and alright on aarch64.
>>
>> I’d like to commit it within a couple of days at most.  Feedback
>> welcome!
>
> While I am hardly an expert here, the changes look reasonable.

Cool.

> One feature request though.  I think it would be nice to get
> --no-kexec for guix-deploy as well :)

Good point.  I’m not sure where to put it though.  In
<machine-ssh-configuration>?

Thanks!

Ludo’.